Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### append()
Examples |
    String[] sa1 = { "OH ", "NY ", "CA "};
    String[] sa2 = append(sa1, "MA ");
    println(sa2);  // Prints OH, NY, CA, MA
Description | Expands an array by one element and adds data to the new position. The datatype of the element parameter must be the same as the datatype of the array. When using an array of objects, the data returned from the function must be cast to the object array's data type. For example: SomeClass[] items = (SomeClass[]) append(originalArray, element).
Syntax |
    append(array, element)
Parameters |
array | boolean[], byte[], char[], int[], float[], or String[], or an array of objects
element | new data for the array
Returns | Array (the same datatype as the input)
Usage | Web & Application
Related | shorten() expand()

Updated on August 30, 2010 04:29:39pm EDT